<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="fr">
<head>
<!-- Generated by javadoc (11.0.3) on Fri May 10 16:58:32 CEST 2019 -->
<title>C-Index</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2019-05-10">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
<script type="text/javascript" src="../jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../jquery/jquery-3.3.1.js"></script>
<script type="text/javascript" src="../jquery/jquery-migrate-3.0.1.js"></script>
<script type="text/javascript" src="../jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="C-Index";
        }
    }
    catch(err) {
    }
//-->
var pathtoroot = "../";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<a id="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<main role="main">
<div class="contentContainer"><a href="index-1.html">A</a>&nbsp;<a href="index-2.html">C</a>&nbsp;<a href="index-3.html">D</a>&nbsp;<a href="index-4.html">E</a>&nbsp;<a href="index-5.html">F</a>&nbsp;<a href="index-6.html">G</a>&nbsp;<a href="index-7.html">I</a>&nbsp;<a href="index-8.html">L</a>&nbsp;<a href="index-9.html">M</a>&nbsp;<a href="index-10.html">O</a>&nbsp;<a href="index-11.html">P</a>&nbsp;<a href="index-12.html">R</a>&nbsp;<a href="index-13.html">S</a>&nbsp;<a href="index-14.html">T</a>&nbsp;<a href="index-15.html">U</a>&nbsp;<a href="index-16.html">V</a>&nbsp;<br><a href="../allclasses-index.html">All&nbsp;Classes</a>&nbsp;<a href="../allpackages-index.html">All&nbsp;Packages</a><a id="I:C">
<!--   -->
</a>
<h2 class="title">C</h2>
<dl>
<dt><span class="memberNameLink"><a href="../controllers/MainController.html#calculateCallTimeAndStatus(java.util.List)">calculateCallTimeAndStatus(List&lt;Call&gt;)</a></span> - Method in class controllers.<a href="../controllers/MainController.html" title="class in controllers">MainController</a></dt>
<dd>
<div class="block">Compute the average call time and the status in the list_call</div>
</dd>
<dt><a href="../model/classes/Call.html" title="class in model.classes"><span class="typeNameLink">Call</span></a> - Class in <a href="../model/classes/package-summary.html">model.classes</a></dt>
<dd>
<div class="block">Call class is used to instance object representing a call</div>
</dd>
<dt><span class="memberNameLink"><a href="../model/classes/Call.html#%3Cinit%3E(int,model.classes.ExternPerson,model.classes.Status,model.classes.User,java.sql.Date,int,type.Direction)">Call(int, ExternPerson, Status, User, Date, int, Direction)</a></span> - Constructor for class model.classes.<a href="../model/classes/Call.html" title="class in model.classes">Call</a></dt>
<dd>
<div class="block">Constructor of the Call class</div>
</dd>
<dt><a href="../model/DAO/CallDAO.html" title="class in model.DAO"><span class="typeNameLink">CallDAO</span></a> - Class in <a href="../model/DAO/package-summary.html">model.DAO</a></dt>
<dd>
<div class="block">CallDAO, inherits DAO class, is used to get call data from database</div>
</dd>
<dt><span class="memberNameLink"><a href="../model/DAO/CallDAO.html#%3Cinit%3E()">CallDAO()</a></span> - Constructor for class model.DAO.<a href="../model/DAO/CallDAO.html" title="class in model.DAO">CallDAO</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../controllers/MainController.html#compareTwoCallList(java.util.List,java.util.List)">compareTwoCallList(List&lt;Call&gt;, List&lt;Call&gt;)</a></span> - Method in class controllers.<a href="../controllers/MainController.html" title="class in controllers">MainController</a></dt>
<dd>
<div class="block">Compare if two calls lists are equals</div>
</dd>
<dt><span class="memberNameLink"><a href="../controllers/MainController.html#compareTwoUserList(java.util.List,java.util.List)">compareTwoUserList(List&lt;User&gt;, List&lt;User&gt;)</a></span> - Method in class controllers.<a href="../controllers/MainController.html" title="class in controllers">MainController</a></dt>
<dd>
<div class="block">Compare if two users lists are equals</div>
</dd>
<dt><span class="memberNameLink"><a href="../controllers/ModifDelController.html#configureDelUserView()">configureDelUserView()</a></span> - Method in class controllers.<a href="../controllers/ModifDelController.html" title="class in controllers">ModifDelController</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../controllers/ModifDelController.html#configureModifUserView()">configureModifUserView()</a></span> - Method in class controllers.<a href="../controllers/ModifDelController.html" title="class in controllers">ModifDelController</a></dt>
<dd>
<div class="block">Method used to configure the view to edit a user</div>
</dd>
<dt><span class="memberNameLink"><a href="../model/DAO/DAO.html#conn">conn</a></span> - Variable in class model.DAO.<a href="../model/DAO/DAO.html" title="class in model.DAO">DAO</a></dt>
<dd>
<div class="block">Attribute public 'conn' establish the connection with the database</div>
</dd>
<dt><a href="../model/DAO/ConnectionPostgreSql.html" title="class in model.DAO"><span class="typeNameLink">ConnectionPostgreSql</span></a> - Class in <a href="../model/DAO/package-summary.html">model.DAO</a></dt>
<dd>
<div class="block">ConnectionPostgreSql class is used to establish a secure connection with postgresql database</div>
</dd>
<dt><span class="memberNameLink"><a href="../model/DAO/ConnectionPostgreSql.html#%3Cinit%3E()">ConnectionPostgreSql()</a></span> - Constructor for class model.DAO.<a href="../model/DAO/ConnectionPostgreSql.html" title="class in model.DAO">ConnectionPostgreSql</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../controllers/package-summary.html">controllers</a> - package controllers</dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../controllers/MainController.html#convertSecToMin(int)">convertSecToMin(int)</a></span> - Method in class controllers.<a href="../controllers/MainController.html" title="class in controllers">MainController</a></dt>
<dd>
<div class="block">Convert second of a call</div>
</dd>
<dt><span class="memberNameLink"><a href="../model/DAO/CallDAO.html#create(model.classes.Call)">create(Call)</a></span> - Method in class model.DAO.<a href="../model/DAO/CallDAO.html" title="class in model.DAO">CallDAO</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../model/DAO/ExternPersonDAO.html#create(model.classes.ExternPerson)">create(ExternPerson)</a></span> - Method in class model.DAO.<a href="../model/DAO/ExternPersonDAO.html" title="class in model.DAO">ExternPersonDAO</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../model/DAO/PermissionDAO.html#create(model.classes.Permission)">create(Permission)</a></span> - Method in class model.DAO.<a href="../model/DAO/PermissionDAO.html" title="class in model.DAO">PermissionDAO</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../model/DAO/PersonDAO.html#create(model.classes.Person)">create(Person)</a></span> - Method in class model.DAO.<a href="../model/DAO/PersonDAO.html" title="class in model.DAO">PersonDAO</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../model/DAO/RoleDAO.html#create(model.classes.Role)">create(Role)</a></span> - Method in class model.DAO.<a href="../model/DAO/RoleDAO.html" title="class in model.DAO">RoleDAO</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../model/DAO/RolePermissionDAO.html#create(model.classes.RolePermission)">create(RolePermission)</a></span> - Method in class model.DAO.<a href="../model/DAO/RolePermissionDAO.html" title="class in model.DAO">RolePermissionDAO</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../model/DAO/StatusDAO.html#create(model.classes.Status)">create(Status)</a></span> - Method in class model.DAO.<a href="../model/DAO/StatusDAO.html" title="class in model.DAO">StatusDAO</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../model/DAO/UserDAO.html#create(model.classes.User)">create(User)</a></span> - Method in class model.DAO.<a href="../model/DAO/UserDAO.html" title="class in model.DAO">UserDAO</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../model/DAO/DAO.html#create(T)">create(T)</a></span> - Method in class model.DAO.<a href="../model/DAO/DAO.html" title="class in model.DAO">DAO</a></dt>
<dd>
<div class="block">Abstract method use to create data</div>
</dd>
<dt><span class="memberNameLink"><a href="../controllers/MainController.html#createTable(java.lang.Object%5B%5D,java.lang.Object%5B%5D%5B%5D)">createTable(Object[], Object[][])</a></span> - Method in class controllers.<a href="../controllers/MainController.html" title="class in controllers">MainController</a></dt>
<dd>
<div class="block">Create the JTable in the main views and show it</div>
</dd>
</dl>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">C</a>&nbsp;<a href="index-3.html">D</a>&nbsp;<a href="index-4.html">E</a>&nbsp;<a href="index-5.html">F</a>&nbsp;<a href="index-6.html">G</a>&nbsp;<a href="index-7.html">I</a>&nbsp;<a href="index-8.html">L</a>&nbsp;<a href="index-9.html">M</a>&nbsp;<a href="index-10.html">O</a>&nbsp;<a href="index-11.html">P</a>&nbsp;<a href="index-12.html">R</a>&nbsp;<a href="index-13.html">S</a>&nbsp;<a href="index-14.html">T</a>&nbsp;<a href="index-15.html">U</a>&nbsp;<a href="index-16.html">V</a>&nbsp;<br><a href="../allclasses-index.html">All&nbsp;Classes</a>&nbsp;<a href="../allpackages-index.html">All&nbsp;Packages</a></div>
</main>
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</body>
</html>
